/*******************************************************************************
 * Licensed Materials - Property of IBM Copyright IBM Corp. 2010, 2011. All
 * Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/

dojo.provide("rdm.simulinkintegration.diagram.ModelingPage");

dojo.require("rmpw.dsv.editor.domain.ui.ModelingPage");
dojo.require("rdm.simulinkintegration.diagram.Configuration");
dojo.require("rdm.simulinkintegration.diagram.DiagramStore");

	
(function() {

	var controls = rmpw.jazz.ui.Controls.items;
	dojo.declare("rdm.simulinkintegration.diagram.ModelingPage", [rmpw.dsv.editor.domain.ui.ModelingPage], {

    	configuration: new rdm.simulinkintegration.diagram.Configuration(),
    	
    	tools: [{ name: controls.ZOOM, display: true, enabled: true }],
               
    	prefix: "rdm.simulinkintegration.domain",
		
		fetchDiagram: function(resourceInfo) {
		    var diagramStore = new rdm.simulinkintegration.diagram.DiagramStore( this.viewer );
			diagramStore.fetch(resourceInfo, this.definition);
		}	
    });
    
})();
